# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain.migration
Class MailItemProperty

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.appsforyourdomain.migration.MailItemProperty

All Implemented Interfaces:
  Extension

    public class MailItemProperty

extends ValueConstruct

Google Apps name space element: `<apps:mailItemProperty>`. Used to model an enumerable property about a mail item, such as whether it is to be marked as starred, read, trash, etc. when migrated into Gmail.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static MailItemProperty` `DRAFT` Property indicating that a mail item should be marked as a draft when inserted into Gmail.
`static MailItemProperty` `INBOX` Property indicating that a mail item should appear in the inbox when inserted into Gmail.
`static MailItemProperty` `SENT` Property indicating that a mail item should appear in the list of sent messages when inserted into Gmail.
`static MailItemProperty` `STARRED` Property indicating that a mail item should be marked as starred when inserted into Gmail.
`static MailItemProperty` `TRASH` Property indicating that a mail item should be moved to the trash when inserted into Gmail.
`static MailItemProperty` `UNREAD` Property indicating that a mail item should be marked as unread when inserted into Gmail.

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MailItemProperty()` Constructs a `MailItemProperty` with no value.
`MailItemProperty(com.google.gdata.data.appsforyourdomain.migration.MailItemProperty.MailItemAttribute value)` Constructs a `MailItemProperty` with the specified value.

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRAFT

    public static final MailItemProperty DRAFT

  Property indicating that a mail item should be marked as a draft when inserted into Gmail.

### INBOX

    public static final MailItemProperty INBOX

  Property indicating that a mail item should appear in the inbox when inserted into Gmail. By default, a message will not be placed in the inbox if it has any labels.

### SENT

    public static final MailItemProperty SENT

  Property indicating that a mail item should appear in the list of sent messages when inserted into Gmail.

### TRASH

    public static final MailItemProperty TRASH

  Property indicating that a mail item should be moved to the trash when inserted into Gmail.

### STARRED

    public static final MailItemProperty STARRED

  Property indicating that a mail item should be marked as starred when inserted into Gmail. By default, migrated mail items are unstarred.

### UNREAD

    public static final MailItemProperty UNREAD

  Property indicating that a mail item should be marked as unread when inserted into Gmail. By default, mail items are marked as read.

Constructor Detail

### MailItemProperty

    public MailItemProperty()

  Constructs a `MailItemProperty` with no value.

### MailItemProperty

    public MailItemProperty(com.google.gdata.data.appsforyourdomain.migration.MailItemProperty.MailItemAttribute value)

  Constructs a `MailItemProperty` with the specified value.

  Parameters:
    `value` - the `MailItemAttribute` value to use

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns:
    the description of this extension